> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v19/examples/status-info-example.md).

# Status Info Example

{% code fullWidth="true" %}

```powershell
#Establish a connection with Parallels RAS (Replace Administrator with your RAS root account). 
New-RASSession Administrator
###### RDS status info ######
#Adding a RAS RDS 
New-RASRDS -Server "rds.company.dom" -Username administrator
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
# Get RDS status info 
Get-RASRDSStatus -Server rds.company.dom
ID      Site ID         Server               CPU Load         Memory Load       Agent State     
--      ------          ------               ----------       ------------      --------------           
1            1          rds.company.dom               8                 15                  OK 
					
###### Gateway status info #######Adding a RAS Gateway 
New-RASGateway -Server "gw.company.dom" -Username administrator
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
# Get Gateway status info 
Get-RASGatewayStatus -Server gw.company.dom
ID      Site ID         Server               CPU Load         Memory Load       Agent State     
--      ------          ------               ----------       ------------      --------------           
1            1          gw.company.dom               13                 47                  OK 
					
###### Connection Broker status info #######Adding a RAS Connection Broker 
New-RASBroker -Server "broker.company.dom" -Username administrator
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
# Get Connection Broker status info 
Get-RASBrokerStatus -Server broker.company.dom
ID      Site ID         Server               CPU Load         Memory Load       Agent State     
--      ------          ------               ----------       ------------      --------------           
1            1          broker.company.dom            2                 46                  OK 
	
###### Site status info ######
#Adding a RAS Site 
New-RASSite -Server "site.company.dom" -Name "MySite" -Username administrator
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
# Get Site status info 
Get-RASSiteStatus -Server site.company.dom
ID      Site ID         Server               CPU Load         Memory Load       Agent State     
--      ------          ------               ----------       ------------      --------------           
1            1          site.company.dom              0                  0                  OK 
					
###### Provider status info ######
#Add a Provider servers. 
$Provider = New-RASProvider -Server "vdi.company.dom" -VMwareESXi -VmwareESXiVersion v6_5 -VDIUsername root -VDIAgent "vdiagent.company.do" -Username root
#Apply all settings. This cmdlet performs the same action as the Apply button in the RAS console. 
Invoke-RASApply
# Get Provider status info 
Get-RASProviderStatus -Id $Provider.Id
ID      Site ID         Server               CPU Load         Memory Load       Agent State     
--      ------          ------               ----------       ------------      --------------           
1            1          vdi.company.dom              18                 60                  OK 
					
#End the current RAS session.
Remove-RASSession
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/examples/status-info-example.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
